### Hierarchy

- CanvasTransform
  - CanvasRenderingContext2D

## Index

### Methods

- getTransform
- resetTransform
- rotate
- scale
- setTransform
- transform
- translate

## Methods

### getTransform

- getTransform(): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3131

  #### Returns DOMMatrix

### resetTransform

- resetTransform(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3132

  #### Returns void

### rotate

- rotate(angle: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3133

  #### Parameters

  - ##### angle: number

  #### Returns void

### scale

- scale(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3134

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### setTransform

- setTransform(a: number, b: number, c: number, d: number, e: number, f: number): void
- setTransform(transform?: DOMMatrix2DInit): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3135

  #### Parameters

  - ##### a: number

  - ##### b: number

  - ##### c: number

  - ##### d: number

  - ##### e: number

  - ##### f: number

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3136

  #### Parameters

  - ##### Optional transform: DOMMatrix2DInit

  #### Returns void

### transform

- transform(a: number, b: number, c: number, d: number, e: number, f: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3137

  #### Parameters

  - ##### a: number

  - ##### b: number

  - ##### c: number

  - ##### d: number

  - ##### e: number

  - ##### f: number

  #### Returns void

### translate

- translate(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3138

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

Generated using TypeDoc